# ScatterGatherBackingStoreSupplier (Apache Commons Compress 1.13 API)

org.apache.commons.compress.parallel

## Interface ScatterGatherBackingStoreSupplier

-     public interface ScatterGatherBackingStoreSupplier

  Supplies `ScatterGatherBackingStore` instances.
  Since:
    1.10

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScatterGatherBackingStore` | `get()` Create a ScatterGatherBackingStore.

- - ### Method Detail

    - #### get

          ScatterGatherBackingStore get()
                                        throws IOException

      Create a ScatterGatherBackingStore.
      Returns:
        a ScatterGatherBackingStore, not null
      Throws:
        `IOException` - when something fails

Copyright © 2016 The Apache Software Foundation. All rights reserved.